Bug 233777 - Remove Element::focusDelegate()
Summary: Remove Element::focusDelegate()
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: DOM (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Tim Nguyen (:ntim)
URL:
Keywords: InRadar
Depends on:
Blocks: 231678 233320
  Show dependency treegraph
 
Reported: 2021-12-02 11:36 PST by Tim Nguyen (:ntim)
Modified: 2022-07-28 13:34 PDT (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Nguyen (:ntim) 2021-12-02 11:36:22 PST
A spec concept named "focus delegate" has been introduced since, the current Element::focusDelegate() function is unrelated.
Comment 1 Radar WebKit Bug Importer 2021-12-09 13:07:41 PST
<rdar://problem/86287159>
Comment 2 Tim Nguyen (:ntim) 2022-07-28 10:02:44 PDT
Pull request: https://github.com/WebKit/WebKit/pull/2817
Comment 3 EWS 2022-07-28 13:34:27 PDT
Committed 252926@main (511a0e0ebba7): <https://commits.webkit.org/252926@main>

Reviewed commits have been landed. Closing PR #2817 and removing active labels.